summaryrefslogtreecommitdiffstats
path: root/.local/bin/convertall
diff options
context:
space:
mode:
authormsglm <msglm@techchud.xyz>2023-01-14 10:33:04 -0600
committermsglm <msglm@techchud.xyz>2023-01-14 10:33:04 -0600
commit0d05ef1e12314985988e567ac22a179d0f646899 (patch)
treede702ad5f7550a27a6fb982e617363ccaca4fecf /.local/bin/convertall
downloadmsglm-dotfiles-0d05ef1e12314985988e567ac22a179d0f646899.tar.gz
msglm-dotfiles-0d05ef1e12314985988e567ac22a179d0f646899.tar.bz2
msglm-dotfiles-0d05ef1e12314985988e567ac22a179d0f646899.zip
Inital Commit
Diffstat (limited to '.local/bin/convertall')
-rwxr-xr-x.local/bin/convertall15
1 files changed, 15 insertions, 0 deletions
diff --git a/.local/bin/convertall b/.local/bin/convertall
new file mode 100755
index 0000000..7970a6b
--- /dev/null
+++ b/.local/bin/convertall
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+#Description: Takes input from the user of what type you'd like to convert everything in the current directory to. Using this information, it then uses ffmpeg to convert all files in the folder to that file format.
+
+#Axioms:
+
+#Dependencies: https://wiki.debian.org/ffmpeg https://packages.debian.org/sid/parallel
+
+
+if [ -z "$1" ]
+then
+echo "You didn't give a file type!"
+exit 1
+fi
+ ls -1|grep -v "$1"| parallel ffmpeg -hwaccel auto -i {} -deadline best "{.}.$1"